<!DOCTYPE html>
<link rel="stylesheet" type="text/css" href="../TT_ref/myStyles.css?<?php echo time(); ?>" />

<!--link rel="shortcut icon" type="image/x-icon" href="http://yourwebsite.com/favicon.ico" />
https://favicon.io/favicon-converter/-->



<html>
<head>
    <meta charset="utf-8"/>

    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon">
    <link rel="icon" href="/favicon.ico" type="image/x-icon">

    <title>TT Reach-Out</title>

    <style>
        body {
            background-color: #F8FFF8;
        }

		p {
			background-color: lightcyan;
			width: 750px;
			border: 2px solid green;
			padding: 25px;
			margin: 25px;
		}


        table {
            border-collapse: collapse;
            border: 1px solid black;
            } 

            th,td {
            border: 1px solid black;
            }

            table.a {
            table-layout: auto;
            width: 900px;  
            }

            table.b {
            table-layout: fixed;
            width: 180px;  
            }

            table.c {
            table-layout: auto;
            width: 100%;  
            }

            table.d {
            table-layout: fixed;
            width: 100%;  
        }

        
        .tooltip {
        position: relative;
        /*display: inline-block;*/
        border-bottom: 1px dotted black;
        }

        .tooltip .tooltiptext {
        visibility: hidden;
        width: 200px;
        /*height: 25px;*/
        background-color: palegreen;
        color: #000;
        text-align: center;
        border-radius: 6px;
        padding: 5px 0;
        position: absolute;
        z-index: 1;
        bottom: 100%;
        left: 50%;
        margin-left: -100px;
        }

        .tooltip .tooltiptext::after {
        content: "";
        position: absolute;
        top: 100%;
        left: 50%;
        margin-left: -5px;
        border-width: 5px;
        border-style: solid;
        border-color: palegreen transparent transparent transparent;
        }

        .tooltip:hover .tooltiptext {
        visibility: visible;
        }         

    </style>
</head>
<body>

    <? include('../TT_nav/TT_nav.php'); ?>
 
    <h1>Tribe Member Reach-Out Page</h1>   

    <div id="welcome">*Welcome</div>    

    <!--p id = "info"  style="font-size: 18px">
    Click on a row to Reach-Out to another Tribe member.<br>
    Register to get on this list.<br>
    See totals at the bottom to assess the likelihood and location of Workshops and Breathworks.<br>
    Hover over the headers for more information.
    </p-->


    <button type="button" onclick="showHelp()">Toggle Help On/Off</button> 
    <div id="help"></div>
    <div id="table"></div> 
    <div id="debug"></div>   

    <!--button type="button" onclick="send_text_message()" hidden>Send Text Message</button-->
    <!--button type="button" onclick="debug()">Debug</button--> 
 
<!-- ///////////// Script ///////////////////////////////////////////////////////////// -->

<script>

// for debug
//var getString = "../TT_debug/TT_fetch_server.php?q=fetch_TT_small,";
// for production
//////////////////////////////////////////////////////////////////////////
//
var getString = "../TT_fetch/TT_fetch_server.php?q=fetch_TT_small,";
//
///////////////////////////////////////////////////////////////////////////




// display entry form automatically - send id to personalize
var user = localStorage.getItem("user_name");
var id = localStorage.getItem("row_number");
var row_number = id;
var aSend = []; // send array

showWelcome();
showDatabase();

function showHelp()
{
    var sIn = document.getElementById('help').innerHTML;
    var sOut = "m";

    if (sIn == "")
    {
        sOut = sHelp();
    }
    else
    {
        sOut = "";
    }

    document.getElementById('help').innerHTML = sOut;

}

function sHelp()
{
    sBlue = "blue";
    sOut = '<table style="width:650px; background-color: ' + sBlue + ' ">' +
  '<tr align="center">' + 
  '<td style="background-color: #FFF"> <img src="header.jpg" alt="Header" width = "600px">' +
  'Scan your mouse over the column headers for more information. </td> </tr>' +

  '<tr align="center">' + 
  '<td style="background-color: #FFF"> <img src="row.jpg" alt="Header" width = "600px">' +
  'Click on a yellow row to send a Reach-Out. </td> </tr>' +

  '<tr align="center">' + 
  '<td style="background-color: #FFF"> <img src="totals.jpg" alt="Header" width = "600px">' +
  'See the totals at the bottom of the table. </td> </tr>' +

  '<tr align="center">' + 
  '<td style="background-color: #FFF"> <img src="register.jpg" alt="Header" width = "600px">' +
  'To get on this list, Register (see menu bar, above). </td> </tr>' +

  '<tr align="center">' + 
  '<td style="background-color: #FFF"> <img src="open.jpg" alt="Header" width = "600px">' +
  'On the Register page, enable sending and receiving Reach-Outs, <br>' +
  ' by checking [v] I wish to send and receive Reach Outs. </td> </tr>' +
   
'</table>';

return sOut;
}

function showWelcome()
{
    u = localStorage.getItem("user_name");
    r = localStorage.getItem("row_number");
    if(r>0)
    {
        document.getElementById('welcome').innerHTML = "Welcome " + u + " !  (# " + r +")";
    }
    else
    {
        document.getElementById('welcome').innerHTML = "Please log in.";  
    }
}


function getNow()
{
    var d = new Date();
    var ds = d.toDateString(); // Mon Jan 14 2019
    return ds;
}


function stringPacker(sIn) // before sending to server
{
    var r;
    
    r = sIn;
    r = r.replace(/,/g, "[comma]");
    r = r.replace(/#/g, "[pound]");
    r = r.replace(/&/g, "[ampersand]");
    r = r.replace(/@/g, "[at]");
    //r = r.replace(/?/g, "[question]"); error msg: "nothing to repeat"
    r = r.replace(/</g, "[less]");
    r = r.replace(/>/g, "[more]");
    r = r.replace(/!/g, "[exclaim]");    

    return r;
}

function commaToEllipsis(sIn)
{
    // replace all commas with elipses - since we use commas as separators
    sOut = sIn.replace(/;/g, "-");  
    return sOut;
}

// show the database
function showDatabase() 
{
    var sHide = "hide"; // hide function on
    
    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function () {
        if (this.readyState == 4 && this.status == 200) {
            document.getElementById("table").innerHTML = this.responseText;
        }
    };

    xhttp.open("GET", getString + sHide, true);
    xhttp.send();
}

function rowClickEmail(t)
{
    var id_from = row_number;           // from login info

    if(!(id > 0))
    {
    alert("You may use this service after you log in.");
    return;
    }
    
    // data from table
    var id_to = t.cells[3].innerHTML;   // from id in the click row
    var city_to = t.cells[2].innerHTML; 
    var state_to = t.cells[1].innerHTML; 
    var share = t.cells[8].innerHTML; 
    
    if(!(share > 0))
    {
        alert("You may send a Reach Out to open members.\nOpen members appear in the yellow rows.");
        return;
    }


    var b = confirm("Send a TT Reach-Out\r\n\r\nto Member # " + id_to + " from " + city_to + ", " + state_to + 
    "\r\n" + "containing your name, phone number and email.\r\n\r\n");

    if(b)
    emailProcess(id_from, id_to); // info for both rows
}

function emailProcess(id_from, id_to)
{
    var a;

    var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange=function()
            {
                if (this.readyState == 4 && this.status == 200)
                {
                    a = this.responseText;
                    document.getElementById('debug').innerHTML = a;
                    alert(a);

                }
                else 
                {  
                    //document.getElementById('debug').innerHTML += "  171 info error =" + xhttp.statusText + "<==[" + a + "]<br>";  
                }                  
            }

    xhttp.open("GET", "TT_find_server.php?q=email_process," + id_from + "," + id_to, true);
    xhttp.send();
}

/*
function send_text_message() // legacy code
{
    var a = "";
    var b = "";

    var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange=function()
            {
                if (this.readyState == 4 && this.status == 200)
                {
                    a = this.responseText;
                    document.getElementById('debug').innerHTML = "Success !" + a;

                }
                else 
                {  
                    //document.getElementById('debug').innerHTML += "  201 info error =" + xhttp.statusText + "<==[" + a + "]<br>";  
                }                  
            }

    xhttp.open("GET", "TT_find_server.php?q=send_text_message," + b, true);
    xhttp.send();
}
*/

/*
function php() // legacy code
{ 
        r2 = 0;
        a = [];
        

        document.getElementById("debug").innerHTML += "  193 getting php";

            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange=function()
            {
                if (this.readyState == 4 && this.status == 200)
                {
                    a = this.responseText;
                    document.getElementById('debug').innerHTML += a;
                    sendEmail(a)
                }
                else 
                {  
                    document.getElementById('debug').innerHTML += "  222 php info error =" + xhttp.statusText;  
                }  
                
            }

    xhttp.open("GET", "TT_find_server.php?q=php," + r2, true);
    xhttp.send();
}
*/

/*
function sendEmails(infos) // legacy code
    { 
        document.getElementById("debug").innerHTML += " 193 sending email";

            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange=function()
            {
                if (this.readyState == 4 && this.status == 200)
                {
                    document.getElementById('debug').innerHTML += this.responseText;
                }
                else 
                {  
                    document.getElementById('debug').innerHTML += "  204 sending email=" + xhttp.statusText;  
                }  
            }

    xhttp.open("GET", "TT_find_server.php?q=email," + infos, true);
    xhttp.send();
}
*/


</script>
</body>
</html>
