<?php  

/*

Notes 2022-July-15  --- this file = TT_find_server.php

This code lives on the site at:  https://eseykota.com/TT/PHP_TT/TT_find

TT_find_client.PHP (the user interface) - the user clicks on a row to send a "reach out" message.
TT_find_server.PHP (this file) - receives instruction and sends the email.
It also sends a confirmation email back to the user and another to TradingTribeServices@gmail.com 

function sendEmail() below serves from Siteground 
and sends email to users with PHPMailer by calling a Gmail account. 
see: https://www.eseykota.com/TT/PHP_TT/TT_find/TT_find_client.php 


the function sendEmail() [below] It works fine for months and months - and then it suddenly stops working - 
eror messages might indicate gmail protocol change and 2-step authentication. 

I tinker with it for a while to no avail.

Access to gmail account:
TradingTribeServices@gmail.com  PW: Gacker_9221_$

THis PHP source code and other files available on Dropbox 

*/


include 'config.php';
include 'TT_Literals.php';

include 'src/SMTP.php';
include 'src/PHPMailer.php';
include 'src/Exception.php';
//include '../TT_utilities/TT_utilities_server.php';
//require ('PHPMailer.php');
//require 'src/SMTP.php';

//phpinfo();

// debug helpers
// $ar = [1,2,3,4,5];
// echo
// var_dump($ar)
// print_r($ar)

// connect to the database
//$dsn = "mysql:host=$servername; dbname=$database";
//$myConnection = new PDO($dsn, $username, $password) or die( "Unable to connect to database.");

// evaluate request string
$Q = $_REQUEST["q"];
$requestArray = str_getcsv($Q, ",");
$requestArray[0] = "send_text_message";

//https://www.sitepoint.com/sending-emails-php-phpmailer/

/*
    if($_POST) 
    { 
        echo "POST:<br>";
        print_r($_POST);
        echo "<br>";
        var_dump($_POST);
        print_r($_POST[0]);
        return;
    } 
*/
 //   if($_GET) 

    if ($requestArray[0] == "send_text_message")
    {
        sendTextMessage();
        echo "Done ...";
    }


    if ($requestArray[0] == 'php')
    {
        $a = phpinfo();
        var_dump($a);
    }

    if($requestArray[0] == "email_process")
    {
        //echo "24 server <br>";
       // return;
        //var_dump($requestArray);
        
        $id_from = $requestArray[1];
        $id_to   = $requestArray[2];

        //echo("from=". $id_from . " to=" . $id_to . "<br>"); 

        //return;

        $row_from = getRowFromId($id_from, $table_TT, $myConnection); // get the data row
        $row_to   = getRowFromId($id_to  , $table_TT, $myConnection); // get the data row

        sendEmails($row_from, $row_to);
    
        echo "line 101: Thank you for reaching out to Tribe Member # " . $id_to . ".\n\nTT Email Process Complete.\n\n";
    }
    
    
    function getRowFromId($id, $table_TT, $myConnection) 
    {
        // query the database for the row number
        $queryString = "SELECT * FROM " . $table_TT . " WHERE id = '" . $id . "' " ;    
         $row = get_match($myConnection, $queryString);
        return $row;
    }
           
    
    function get_match($myConnection, $queryString)
    {
        $myQ = $myConnection->prepare($queryString);   // prepare the query
        $myQ->execute();
        $results = $myQ->fetchAll();                 // use fetch() for one row only
        return $results;
    }


    function sendTextMessage()
    {
        $to = "7758138895@txt.att.net";
        $from = "tt_95@yahoo.com";
        $subject = '';
        $message = "Test Message.";
        $headers = "From: " . $from . "\n";
        mail($to, $subject, $message, $headers);

        $to = "tt_95@yahoo.com";
        mail($to, $subject, $message, $headers);
    }

    function transaction_record($from, $to)
    {
        $myDate = date("Y-M-d h:i:s");

        $myFile = "data/data.txt";

        $d = "|"; // delimiter

        $myData =  $myDate;
        //$myData .= $d . $from["id"] . $d . $to["id"];
        $myData .= $d . $from["id"] . $d . $from["first"] . $d . $from["last"];
        $myData .= $d . $from["city"] . $d . $from["country"];
        $myData .=  $d . $to["id"] . $d . $to["first"]. $d . $to["last"];
        $myData .= $d. $to["city"]. $d . $to["country"];
        $myData .= "\n";

        return $myData; 
    }

    function save_reach_out($myData)
    {
        $myFile = "connections/connections.txt";
        file_put_contents($myFile, $myData, FILE_APPEND | LOCK_EX); 
    }
    
    function sendEmails($row_from, $row_to)
    {

        //appendLine($row_from[0], $row_to[0]);
        //return;

        sendEmail($row_from, $row_to, "file");
        sendEmail($row_from, $row_to, "send");
        sendEmail($row_from, $row_to, "copy");
       
    }

    function sendEmail($row_from, $row_to, $type)
    { 

        $sID_From = $row_from[0]["id"];
        $sName_From = $row_from[0]["first"];
        $sFullName_From = $row_from[0]["first"] . " " . $row_from[0]["last"];
        $sCity_From = $row_from[0]["city"];
        $sState_From = $row_from[0]["state"];
        $sEmail_From = $row_from[0]["email"];
        $sPhone_From = $row_from[0]["phone"];

        $sID_To = $row_to[0]["id"];
        $sName_To = $row_to[0]["first"];
        $sFullName_To = $row_to[0]["first"] . " " . $row_to[0]["last"];
        $sCity_To = $row_to[0]["city"];
        $sState_To = $row_to[0]["state"];
        $sEmail_To = $row_to[0]["email"];
        $sPhone_To = $row_to[0]["phone"];

        $name_to = '';
        $email_to = '';
        $subject = '';
        $message = '';

        if($type == "send")  // send to the target user
        {
            $name_to = $sName_To;
            $email_to = $sEmail_To;

            $subject = "You Have a New Trading Tribe Member Reach-Out";

            $message = "\nDear " .  $sName_To . ",\n\n";
            $message .= "You have a new Trading Tribe Reach-Out from:\n\n";
            $message .= $sFullName_From . " (Member # " . $sID_From . ") from " . $sCity_From . ", " . $sState_From . ".\r\n\r\n";
            $message .= "You may reply to " . $sName_From . " by email: " . $sEmail_From;
            $message .= " or by phone: ". $sPhone_From . "\n\n";

            $message .= "Yours truly, \n\nThe Trading Tribe\n\n";
            $message .="[Please do not reply to this email - as it comes from a robot.]";
        }

        if($type == "copy") // ssend to the source user
        {
            $name_to = $sName_From;
            $email_to = $sEmail_From;

            $subject = "Trading Tribe Member Reach-Out Confirmation";

            $message = "\nDear " . $sName_From .",\n\n";
            $message .= "This confirms your Trading Tribe Reach-Out to:\n\n";
            $message .= "Tribe Member # " . $sID_To . " from " . $sCity_To . ", " . $sState_To . ". \r\n\r\n";

            $message .= "Yours truly, \r\n\r\nThe Trading Tribe\n\n";
            $message .="[Please do not reply to this email - as it comes from a robot.]";
        }

        if($type == "file") // send to the app
        {

            $message = transaction_record($row_from[0], $row_to[0]);
         
            save_reach_out($message);
       
            $name_to = "Ed";
            $email_to = "tt_95@yahoo.com";
            $subject = "New TT Reach-Out";

        }
    
        // issue likely in this section and/or with gmail configuration
        $name = $name_to; //"Ed"; 
        $gmail = 'TradingTribeServices@gmail.com';
        $password = 'adyngpplmzkyellf';  // 2022-July-9
        $to_id = $email_to;       
        $subject = $subject; 
        $mail = new PHPMailer\PHPMailer\PHPMailer();           
        $mail->IsSMTP = 'true';
        $mail->SMTPAuth = true;
        $mail->Host = 'smtp.gmail.com';  
        $mail->Port = 465;
        $mail->SMTPDebug = 2;   
        $mail->setFrom($gmail, "The Trading Tribe");
        $mail->Username = $gmail;
        $mail->Password = $password;
        $mail->AddAddress($to_id);
        $mail->Subject = $subject;
        $mail->Body = $message;
        $mail->addCustomHeader("A" , "B");
     
        
        if (!$mail->send()) 
        {
            $error = $mail->ErrorInfo;
    
            echo "line 277: mail send error: \n" . $error . "\n\n";
     
        }
        else 
        {
            //echo 'Thank you for sending a message to: ' . $to_id . " ";
        }


    } 


    function stringUnpack($sIn) // before shipping back to client
    {
        $s = $sIn;
        $s = str_replace("[comma]"      , ","  , $s);
        $s = str_replace("[pound]"      , "#"  , $s);
        $s = str_replace("[ampersand]"  , "&"  , $s);
        $s = str_replace("[at]"         , "@"  , $s);
        //$s = str_replace("[question]"   , "?"  , $s);
        $s = str_replace("[less]"       , "<"  , $s);	
        $s = str_replace("[more]"       , ">"  , $s);	
        $s = str_replace("[exclaim]"    , "!"  , $s);
        $s = trim($s);
        return $s;
    }

    function getField($sIn, $marker)
{
	// find the start of the string
	$len = strlen($marker);
	$start = strpos($sIn, $marker) + $len;
	$end = strpos($sIn, "[end]" , $start);
	$sOut = substr($sIn, $start, $end - $start);

	//echo "cards_server::getField: marker =" . $marker . " start =" . $start . " end=" .$end . " sOut=" . $sOut . "<br>";
	return $sOut;
}




?> 